Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester.plugins.strategies
Class FinderFromMethod

    java.lang.Object
      org.apache.commons.digester.plugins.RuleFinder
          org.apache.commons.digester.plugins.strategies.FinderFromMethod

    public class FinderFromMethod

extends RuleFinder

A rule-finding algorithm which expects the caller to specify a methodname as a plugin property, where the method exists on the plugin class.

Since:
  1.6

Field Summary
`static String` | `DFLT_METHOD_ATTR` Xml attribute that needs to be present on a plugin declaration in order to specify the method to load rules from.

Constructor Summary
`FinderFromMethod()` Constructor.
`FinderFromMethod(String methodAttr)` See `findLoader(org.apache.commons.digester.Digester, java.lang.Class, java.util.Properties)`.

Method Summary
`RuleLoader` | `findLoader(Digester d, Class<?> pluginClass, Properties p)` If there exists a property with the name matching constructor param methodAttr, then locate the appropriate Method on the plugin class and return an object encapsulating that info.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DFLT_METHOD_ATTR

    public static String DFLT_METHOD_ATTR

  Xml attribute that needs to be present on a plugin declaration in order to specify the method to load rules from.

Constructor Detail

### FinderFromMethod

    public FinderFromMethod()

  Constructor.

### FinderFromMethod

    public FinderFromMethod(String methodAttr)

  See `findLoader(org.apache.commons.digester.Digester, java.lang.Class, java.util.Properties)`.

Method Detail

### findLoader

    public RuleLoader findLoader(Digester d,
                                 Class<?> pluginClass,
                                 Properties p)
                          throws PluginException

  If there exists a property with the name matching constructor param methodAttr, then locate the appropriate Method on the plugin class and return an object encapsulating that info.

  If there is no matching property provided, then just return null.

  The returned object (when non-null) will invoke the target method on the plugin class whenever its addRules method is invoked. The target method is expected to have the following prototype: `public static void xxxxx(Digester d, String patternPrefix);`

  Specified by:
    `findLoader` in class `RuleFinder`
  Throws:
    `PluginException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.